MYROCKS_HOTBACKUP(1)

NAME
myrocks_hotbackup - streaming backup for MariaDB MyRocks

DESCRIPTION
Usage:

Backup: set -o pipefail; myrocks_hotbackup --user=root --password=pw --port=3306 --checkpoint_dir=<directory where temporary backup hard links are created> | ssh -o NoneEnabled=yes remote_server 'tar -xi -C <directory on remote server where backups will be sent>' . You need to execute backup command on a server where you take backups.

Backup using WDT: myrocks_hotbackup --user=root --password=pw --stream=wdt --checkpoint_dir=<directory where temporary backup hard links are created> --destination=<remote host name> --backup_dir=<remote directory name>. This has to be executed at the src host.

Move-Back: myrocks_hotbackup --move_back --datadir=<dest mysql datadir> --rocksdb_datadir=<dest rocksdb datadir> --rocksdb_waldir=<dest rocksdb wal dir> --backup_dir=<where backup files are stored> . You need to execute move-back command on a server where backup files are sent.

OPTIONS

-h, --help
    show this help message and exit

-i CHECKPOINT_INTERVAL, --interval=CHECKPOINT_INTERVAL
    Number of seconds to renew checkpoint

-c CHECKPOINT_DIRECTORY, --checkpoint_dir=CHECKPOINT_DIRECTORY
    Local directory name where checkpoints will be created.

-d DATADIR, --datadir=DATADIR
    backup mode: src MySQL datadir. move_back mode: dest MySQL datadir

-s OUTPUT_STREAM, --stream=OUTPUT_STREAM
    Setting streaming backup options. Currently tar, WDT and xbstream are supported. Default is tar

--destination=DESTINATION
    Remote server name. Only used for WDT mode so far.

--avg_mbytes_per_sec=AVG_MBYTES_PER_SEC
    Average backup rate in MBytes/sec. WDT only.

--extra_wdt_sender_options=EXTRA_WDT_SENDER_OPTIONS
    Extra options for WDT sender

--extra_wdt_receiver_options=EXTRA_WDT_RECEIVER_OPTIONS
    Extra options for WDT receiver

-u MYSQL_USER, --user=MYSQL_USER
    MySQL user name

-p MYSQL_PASSWORD, --password=MYSQL_PASSWORD
    MySQL password name

-P MYSQL_PORT, --port=MYSQL_PORT
    MySQL port number

-S MYSQL_SOCKET, --socket=MYSQL_SOCKET
    MySQL socket path. Takes precedence over --port.

-m, --move_back
    Moving MyRocks backup files to proper locations.

-r ROCKSDB_DATADIR, --rocksdb_datadir=ROCKSDB_DATADIR
    RocksDB target data directory where backup data files will be moved. Must be empty.

-w ROCKSDB_WALDIR, --rocksdb_waldir=ROCKSDB_WALDIR
    RocksDB target data directory where backup wal files will be moved. Must be empty.

-b BACKUPDIR, --backup_dir=BACKUPDIR
    backup mode for WDT: Remote directory to store backup. move_back mode: Locations where backup files are stored.

-f, --skip_check_frm_timestamp
    skipping to check if frm files are updated after starting backup.

-D DEBUG_SIGNAL_FILE, --debug_signal_file=DEBUG_SIGNAL_FILE
    debugging purpose: waiting until the specified file is created

SEE ALSO
For more information, please refer to the MariaDB Knowledge Base, available online at https://mariadb.com/kb/

AUTHOR
MariaDB Foundation (http://www.mariadb.org/).